<h1 class="page-header" style="margin-top: 0"><i class="fa fa-gears"></i> <?php _('Maintainer Mode') ?></h1>
<div class="alert alert-info margin-bottom">
<i class="fa fa-info-circle"></i>
<?php _('Some functions are only available for the authorized maintainer. Here the maintainer can activate the disabled function.') ?>
</div>
<div ng-if="user.maintainPermission">
<div class="btn btn-primary" ng-click="disableMaintainer()"><?php _('Disable Maintainer Permissions') ?></div>
<hr>
<h2><?php _('Change Maintainer Mode Password') ?></h2>
<div class="form-group">
<label for="oldPassword"><?php _('Maintainer Mode Password') ?></label>
<input id="oldPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="changePassword.oldPassword">
</div>
<div class="form-group">
<label for="newPassword"><?php _('New Password') ?></label>
<input id="newPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="changePassword.newPassword">
</div>
<div class="btn btn-primary" ng-click="setPassword()"><?php _('Change Password') ?></div>
</div>
<div ng-if="!user.maintainPermission">
<div class="form-group">
<label for="loginPassword"><?php _('Maintainer Mode Password') ?></label>
<input id="loginPassword" class="form-control" type="password" placeholder="<?php _('Password') ?>" ng-model="$parent.password">
</div>
<div class="btn btn-primary" ng-click="enableMaintainer()"><?php _('Enable Maintainer Permissions') ?></div>
</div>
